<!-- This is an exact copy of the Client's ItemPlayer. -->
<template>
    <video v-if="config.format.startsWith('video/')" class="w-full" :src="'/files/' + config.path + '?raw'" controls /><!-- change to videoplayer -->
    <video v-else-if="config.format == 'stream'" class="w-full" controls>
        <source :src="config.path" :type="config.type" />
    </video>
    <div v-else-if="config.format.startsWith('image/')" class="flex w-full h-full text-center items-center justify-center" :style="{'background-color':config.backgroundColor}">
        <img class="max-w-full max-h-full" :src="'/files/' + config.path + '?raw'" /><!-- Change to imageviewer-->
    </div>
    <embed v-else-if="config.format == 'application/pdf'" class="w-full" :src="'/files/' + config.path + '?raw#toolbar=0&navpanes=0'" :type="config.format" />
    <iframe v-else-if="config.format == 'url'" class="w-full" :src="config.path" /><!-- need auto reset -->
    <div v-else-if="config.format == ''" class="text-red-500 text-center mx-auto">No Content Selected</div>
    <div v-else class="text-red-500 text-center mx-auto font-semibold">Selected Content not Supported</div>
</template>

<script>
export default {
    props: {
        config: Object,
    }
}
</script>